Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

I updated the install instructions on itch.io, forgot to include apt install libevent-dev libssl-dev on ubuntu/debian